import PropTypes from 'prop-types';
/**
 * Primary UI component for user interaction
 */ declare const Button: {
    ({ primary, size, label, fullWidth, onClick }: {
        primary: boolean;
        size: string;
        label: string;
        fullWidth: boolean;
        onClick: () => void;
    }): JSX.Element;
    propTypes: {
        /**
         * Is this the principal call to action on the page?
         */
        primary: PropTypes.Requireable<boolean>;
        /**
         * How large should the button be?
         */
        size: PropTypes.Requireable<string>;
        /**
         * Button contents
         */
        label: PropTypes.Validator<string>;
        /**
         * Optional click handler
         */
        onClick: PropTypes.Requireable<(...args: any[]) => any>;
        fullWidth: PropTypes.Requireable<boolean>;
    };
    defaultProps: {
        primary: boolean;
        size: string;
        onClick: undefined;
        fullWidth: boolean;
    };
};
export default Button;
